jQuery.fn.rotate = function(angle,whence) {
	var p = this.get(0);

	// we store the angle inside the image tag for persistence
	if (!whence) {
		p.angle = ((p.angle==undefined?0:p.angle) + angle) % 360;
	} else {
		p.angle = angle;
	}

	if (p.angle >= 0) {
		var rotation = Math.PI * p.angle / 180;
	} else {
		var rotation = Math.PI * (360+p.angle) / 180;
	}
	var costheta = Math.cos(rotation);
	var sintheta = Math.sin(rotation);

	if (document.all && !window.opera) {
		var canvas = document.createElement('img');

		canvas.src = p.src;
		canvas.height = p.height;
		canvas.width = p.width;

		canvas.style.filter = "progid:DXImageTransform.Microsoft.Matrix(M11="+costheta+",M12="+(-sintheta)+",M21="+sintheta+",M22="+costheta+",SizingMethod='auto expand')";
	} else {
		var canvas = document.createElement('canvas');
		if (!p.oImage) {
			//canvas.oImage = new Image();
			//canvas.oImage.src = p.src;
			canvas.oImage = p;
		} else {
			canvas.oImage = p.oImage;
		}
		
		var w = canvas.oImage.width;
		var h = canvas.oImage.height;
		
		w = canvas.oImage.width;
		h = canvas.oImage.height;

		var cw = Math.abs(costheta*w) + Math.abs(sintheta*h) + 5;
		var ch = Math.abs(costheta*h) + Math.abs(sintheta*w) + 5;
		
		canvas.width = cw;
		canvas.height = ch;

		canvas.style.width = cw + 'px';
		canvas.style.height = ch + 'px';

		var context = canvas.getContext('2d');
		context.save();
		if (rotation <= Math.PI/2) {
			context.translate(sintheta*h,0);
		} else if (rotation <= Math.PI) {
			context.translate(cw,-costheta*h);
		} else if (rotation <= 1.5*Math.PI) {
			context.translate(-costheta*w,ch);
		} else {
			context.translate(0,-sintheta*w);
		}
		context.rotate(rotation);
		context.drawImage(canvas.oImage, 5, 5, w-5, h-5);
		
		if(p.angle == 0){
			costheta = 1;
			sintheta = 0;
		}
	}
	canvas.id = p.id;
	canvas.angle = p.angle;
	$(p.parentNode).hide();
	$(p.parentNode).parent().find('.canvas').html(canvas).show();
	$(p.parentNode).next().hide();
	
}

jQuery.fn.rotateRight = function(angle) {
	this.rotate(angle==undefined?90:angle, true);
}

jQuery.fn.rotateLeft = function(angle) {
	this.rotate(angle==undefined?-90:-angle, true);
}
