<?php

namespace Pg\Libraries;

use Pg\Libraries\Analytics\Integrations;

class Analytics
{
    public $ci;
    public $identify_id;
    public $analytics = array();
    public $events_list = '';
    public $events_type;

    public function __construct($params = array())
    {
        $this->ci = &get_instance();
        $this->identify_id = $this->getUserId();
        $this->events_type = $this->getEventType();
        $this->analytics['amplitude'] = new Integrations\Amplitude();
        $this->analytics['mixpanel'] = new Integrations\Mixpanel();
        //$this->analytics['google'] = new Integrations\Google();
    }
    
    public function track($event)
    {       
        if (($_ENV['DEMO_MODE'] || defined(DEMO_MODE) && DEMO_MODE) && $event) {
            foreach($this->analytics as $analytic) {
                $analytic->track($event);
            }
        }
    }
    
    private function getUserId()
    {
        if(ANALYTIC_USER_EMAIL) {
            $user_row = ANALYTIC_USER_EMAIL;
        } else {
            $user_type = $this->ci->session->userdata('auth_type');
            $user_row = $_SERVER['HTTP_HOST'] . '-';

            if(!$user_type) {
                $user_row .= 'guest';
            } else {
                if($user_type == 'user') {
                    $user_row .= $this->ci->session->userdata('user_id');
                } else {
                    $user_row .= $user_type;
                }
            }            
        }

        return $user_row; 
    }

    public function getEvent($category, $gid, $type = 'admin')
    {
        if(empty($this->events_list)) {
            $this->events_list = include_once LIBPATH . "Analytics/{$type}_analytics_pages.php";
        }
        
        return isset($this->events_list[$category][$gid]) ? $this->events_list[$category][$gid] : '';
    }

    public function getEventType(){
        if (!empty($this->events_type))
            return $this->events_type;
        else {
            $user_type = $this->ci->session->userdata('auth_type');
            return (!$user_type || $user_type == 'user') ? 'user' : 'admin';
        }
    }

    public function getEventCategory($event){
        if(empty($this->events_list)) {
            $type = getEventType();
            $this->events_list = include_once LIBPATH . "Analytics/{$type}_analytics_pages.php";
        }
        foreach ($this->events_list as $category => $events){
            if (array_search($event, $events))
                return $category;
        }
        return false;
    }

    public function getApiKey($integration)
    {
        return $this->analytics[$integration]->getApiKey();
    }
}

