<?php

namespace Pg\Libraries\Analytics\Integrations;

class Amplitude
{
    public $ci;
    
    private $host = 'https://api.amplitude.com/httpapi';
    private $name = 'Amplitude';
    private $api_key = '8088ee15c7468b6e8e7c1dc380a58cea';

    public function __construct() {
        $this->ci = &get_instance(); 
    }
    
    public function track($event)
    {
        $this->sendEvent($event);
    }

    public function sendEvent($event)
    {
        $data = array(
            'api_key' => $this->api_key,
            'event' => array(
                'user_id' => $this->ci->analytics->identify_id,
                'event_type' => $event,
                'ip' => $this->ci->input->server('REMOTE_ADDR'),
                'user_agent' => $this->ci->agent->agent,
                'time' => time(),
                'platform' => $this->ci->agent->platform,
                'os_name' => $this->ci->agent->browser,
                'os_version' => $this->ci->agent->version                
            )
        );
        $data['event'] = '[' . json_encode($data['event']) . ']';
        $fields = $this->createUrl($data);
        
        $this->sendRequest($fields);
    }
    
    public function getApiKey()
    {
        return $this->api_key;
    }
    
    private function createUrl($data = array())
    {
        $str = '';
        foreach($data as $key => $val) {
           if(!$str) {
               $prefix = '';
           } else {
               $prefix = '&';
           }
           
           $str .= $prefix . $key . '=' . urlencode($val);
        }
        
        return $str;
    }
    
    private function sendRequest($data = array())
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_URL, $this->host);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_exec($ch);
    }
}