<?php

return [
    'menu' => [
        'admin_menu' => [
            'action' => 'none',
            'name' => '',
            'items' => [
                'other_items' => [
                    'action' => 'none',
                    'items' => [
                        'banners_menu_item' => ['action' => 'create', 'link' => 'admin/banners', 'icon' => 'th-large', 'status' => 1, 'sorter' => 2],
                    ],
                ],
            ],
        ],
        'admin_banners_menu' => [
            'action' => 'create',
            'name' => 'Admin mode - Banner ads',
            'items' => [
                'banners_list_item' => ['action' => 'create', 'link' => 'admin/banners', 'status' => 1],
                //'groups_list_item' => ['action' => 'create', 'link' => 'admin/banners/groups_list', 'status' => 1],
                'places_list_item' => ['action' => 'create', 'link' => 'admin/banners/places_list', 'status' => 1],
                'banners_settings_item' => ['action' => 'create', 'link' => 'admin/banners/settings', 'status' => 1],
            ],
        ],
    ],
    'services' => [
        'templates' => [
            [
                'gid' => "banner_template",
                'callback_module' => "banners",
                'callback_model' => "Banners_model",
                'callback_buy_method' => "service_banner_buy",
                'callback_activate_method' => "service_banner_activate",
                'callback_validate_method' => "service_banner_validate",
                'price_type' => 3,
                'data_admin' => [],
                'data_user' => ["id_banner_payment" => "hidden"],
                'moveable' => 0,
            ],
        ],
        'services' => [
            [
                "gid" => "banner_service",
                "template_gid" => "banner_template",
                "type" => "internal",
                "pay_type" => 2,
                "status" => 1,
                "price" => 0,
                "data_admin" => [],
            ],
        ],
    ],
    'services_notifications' => [
        "templates" => [
            ["gid" => "banner_need_moderate", "name" => "New banner awaiting moderation", "vars" => [], "content_type" => "text"],
            ["gid" => "banner_status_expired", "name" => "Banner status expired", "vars" => ["user", "banner"], "content_type" => "text"],
            ["gid" => "banner_status_updated", "name" => "Banner status updated", "vars" => ["user", "banner", "status"], "content_type" => "text"],
        ],
        "notifications" => [
            ["gid" => "banner_need_moderate", "template" => "banner_need_moderate", "send_type" => "simple"],
            ["gid" => "banner_status_expired", "template" => "banner_status_expired", "send_type" => "simple"],
            ["gid" => "banner_status_updated", "template" => "banner_status_updated", "send_type" => "simple"],
        ],
    ],
    'moderators_methods' => [
        ['module' => 'banners', 'method' => 'index', 'is_default' => 1],
        ['module' => 'banners', 'method' => 'groups_list', 'is_default' => 0],
        ['module' => 'banners', 'method' => 'places_list', 'is_default' => 0],
    ],
    'content_pages' => [
        [
            'gid' => 'advertising',
            'lang_code' => 'en',
            'title' => 'Advertising',
            'annotation' => '',
            'content' => "<p><b>Promotion materials requirements</b>&nbsp;</p>\n<p>You have a splendid opportunity to place advertisement banners on our site.<br />\nBanners size: 728x90, 234x60, 455x150<br />\n<br />\n<b>Prices and conditions.</b><br />\nAll banners will be rotated. You can order up to 10 banners for 1 rotation place.<br />\nPrice will be indicated a month in advance before placing a banner on site.<br />\nPrice depends on Pages style where you will receive banner impressions.</p>\n<table>\n    <tbody>\n        <tr>\n            <th width=\"100\">Pages</th>\n            <th>Cost</th>\n        </tr>\n        <tr>\n            <td>Catalogue</td>\n            <td>3</td>\n        </tr>\n        <tr>\n            <td>Mainpage</td>\n            <td>10</td>\n        </tr>\n        <tr>\n            <td>News</td>\n            <td>3</td>\n        </tr>\n        <tr>\n            <td>Search</td>\n            <td>7</td>\n        </tr>\n        <tr>\n            <td>Vehicle</td>\n            <td>9</td>\n        </tr>\n    </tbody>\n</table>\n<p>If you would like to engage all banner impressions you would need to place an order for all places left on the site.&nbsp;</p>\n<p>Should you have any questions, please don&rsquo;t hesitate to contact us.&nbsp;</p>\n<p>Email: admin@yousitename.com<br />\nPhone: + 1-888-111-111-111<br />\nOr use a contact us form.</p>",
            'img' => '',
            'sorter' => 2,
            'status' => 1,
            'date_created' => '2011-06-20 12:38:31',
            'date_modified' => '2013-07-30 13:00:39',
        ],
    ],
    'users_services_menu' => [
        "company_account_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                "company_my_banners_item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 9],
            ],
        ],
        "company_top_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                "company-main-banners-item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 11],
            ],
        ],
        "agent_account_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                "agent_my_banners_item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 9],
            ],
        ],
        "agent_top_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                "agent-main-banners-item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 11],
            ],
        ],
        "company_slide_profile_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                'company_payments_item' => [
                    'action' => 'none',
                    'items' => [
                        "company_my_banners_item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 9],
                    ],
                ],
            ],
        ],
        "agent_slide_profile_menu" => [
            "action" => "none",
            "name" => "",
            "items" => [
                'agent_payments_item' => [
                    "action" => "none",
                    "items" => [
                        "agent_my_banners_item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 9],
                    ],
                ],
            ],
        ],
    ],
    'users_private_services_menu' => [
        "private_account_menu" => [
            "action" => "none",
            "items" => [
                "private_my_banners_item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 9],
            ],
        ],
        "private_top_menu" => [
            "action" => "none",
            "items" => [
                "private-main-banners-item" => ["action" => "create", "link" => "banners/my", "status" => 1, "sorter" => 11],
            ],
        ],
    ],
];
