DROP TABLE IF EXISTS `[prefix]dynblocks_areas`;
CREATE TABLE IF NOT EXISTS `[prefix]dynblocks_areas` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `gid` varchar(30) NOT NULL,
  `name` varchar(250) NOT NULL,
  `date_add` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `gid` (`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `[prefix]dynblocks_area_block`;
CREATE TABLE IF NOT EXISTS `[prefix]dynblocks_area_block` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `id_area` int(3) NOT NULL,
  `id_block` int(3) NOT NULL,
  `params` text NOT NULL,
  `view_str` varchar(100) NOT NULL,
  `width` tinyint(4) NOT NULL,
  `sorter` int(3) NOT NULL,
  `cache_time` int(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_area` (`id_area`,`id_block`,`sorter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `[prefix]dynblocks_blocks`;
CREATE TABLE IF NOT EXISTS `[prefix]dynblocks_blocks` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `gid` varchar(50) NOT NULL,
  `name` VARCHAR( 255 ) NOT NULL,
  `module` varchar(50) NOT NULL,
  `model` varchar(50) NOT NULL,
  `method` varchar(100) NOT NULL,
  `min_width` tinyint(4) NOT NULL,
  `params` text NOT NULL,
  `views` text NOT NULL,
  `date_add` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `gid` (`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `[prefix]dynblocks_presets`;
CREATE TABLE IF NOT EXISTS `[prefix]dynblocks_presets` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `gid` varchar(30) NOT NULL,
  `gid_area` varchar(30) NOT NULL,
  `name` varchar(30) NOT NULL,
  `logo` varchar(255) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `editable` tinyint(1) NOT NULL,
  `date_add` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `gid` (`gid`),
  KEY `gid_area` (`gid_area`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `[prefix]dynblocks_presets_block`;
CREATE TABLE IF NOT EXISTS `[prefix]dynblocks_presets_block` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `id_preset` int(3) NOT NULL,
  `gid_area` varchar(30) NOT NULL,
  `id_block` int(3) NOT NULL,
  `params` text NOT NULL,
  `view_str` varchar(100) NOT NULL,
  `width` tinyint(4) NOT NULL,
  `sorter` int(3) NOT NULL,
  `cache_time` int(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `gid_area` (`gid_area`,`id_block`,`sorter`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `[prefix]dynblocks_areas` VALUES(NULL, 'index-page', 'Index page', '2011-09-08 10:26:06');
INSERT INTO `[prefix]dynblocks_presets` VALUES(1, 'default', 'index-page', 'Default', '1.png', '', 1, '2011-09-08 10:26:06');
INSERT INTO `[prefix]dynblocks_presets` VALUES(2, 'custom', 'index-page', 'Custom', '2.png', '', 1, '2011-09-08 10:26:06');
INSERT INTO `[prefix]dynblocks_presets` VALUES(3, 'classic', 'index-page', 'Classic', '3.png', '', 1, '2011-09-08 10:26:06');
INSERT INTO `[prefix]dynblocks_presets` VALUES(4, 'agency', 'index-page', 'Agency', '4.png', '', 1, '2011-09-08 10:26:06');
INSERT INTO `[prefix]dynblocks_presets` VALUES(5, 'agent', 'index-page', 'Agent', '5.png', '', 1, '2011-09-08 10:26:06');
