<?php

namespace Pg\Modules\Export\Controllers;

/**
 * Export module
 *
 * @package 	PG_RealEstate
 *
 * @copyright 	Copyright (c) 2000-2014 PG Real Estate - php real estate listing software
 * @author 		Pilot Group Ltd <http://www.pilotgroup.net/>
 */

/**
 * Export api side controller
 *
 * @package 	PG_RealEstate
 * @subpackage 	Export
 *
 * @category	controllers
 *
 * @copyright 	Copyright (c) 2000-2014 PG Real Estate - php real estate listing software
 * @author 		Pilot Group Ltd <http://www.pilotgroup.net/>
 */
class Api_export extends \Controller
{

    /**
     * Constructor
     *
     * @return Api_export
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Generate data of selection
     *
     * @param integer $selection_id selection identifier
     *
     * @return void
     */
    public function generate($selection_id)
    {
        if ($this->session->userdata("auth_type") != "user") {
            $this->set_api_content('errors', '404');

            return;
        }

        $this->load->model("export/models/export_module_model", "Export_module_model");
        $this->load->model("Export_model");

        $data = $this->Export_model->get_selection_by_id($selection_id, true);
        if ($data["output_type"] != "browser" || !$data["published"] || $data["editable"]) {
            $this->set_api_content('errors', '404');

            return;
        }

        $user_id = $this->session->userdata("user_id");
        ob_start();
        $this->Export_model->generate_selection($selection_id, array(), $user_id);
        $content = ob_get_contents();
        ob_end_clean();

        $this->set_api_content('data', array('content' => $content));
    }

}
