function listingFormSearch(optionArr) {
    'use strict';
    
    this.properties = {
        siteUrl: '',
        viewAjaxUrl: 'listings/ajax_search/',
        loadQuickForm: 'listings/ajax_get_search_quick_form/',
        sFromId: 'listings_search_form',
        listBlockId: 'listings_block',
        sectionCl: 'js_search_listings_sections',
        resetSearchUrl: 'listings/ajax_reset_search_data',
        resetSettingsBtnId: 'reset_settings_btn',
        viewMode: '',
        sFormRand: '',
        tIds: [],
        errorObj: new Errors()
    };
    
    var _self = this;

    this.Init = function (options) {
        _self.properties = $.extend(_self.properties, options);
        var sFormId = $('#' + _self.properties.sFromId);
        
        sFormId.on('submit', function () {
            _self.search();
            return false;
        });
        
        $('#' + _self.properties.resetSettingsBtnId).bind('click', function () {
            $.ajax({
                url: _self.properties.siteUrl + _self.properties.resetSearchUrl,
                type: 'GET',
                success: function (newUrl) {
                    if ('string' === typeof newUrl && newUrl.length > 2) {
                        location.href = newUrl;
                    } else {
                        location.reload();
                    }
                }
            });
        });
    }
    
    this.search = function () {
        var operation_type = $('#' + _self.properties.sFromId + ' select[id=type]').val();
        var url = _self.properties.siteUrl + _self.properties.viewAjaxUrl +
                        operation_type;
        var send_data = $('#' + _self.properties.sFromId).serialize();
        $.ajax({
            url: url,
            type: 'POST',
            cache: false,
            data: send_data,
            success: function (data) {
                $('#' + _self.properties.listBlockId).html(data);
            }
        });
    };
    
     _self.Init(optionArr);
}