DROP TABLE IF EXISTS  `[prefix]listings_booking`;
CREATE TABLE IF NOT EXISTS `[prefix]listings_booking` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `id_listing` int(3) NOT NULL,
  `id_owner` int(3) NOT NULL,
  `id_user` int(3) NOT NULL,
  `date_start` datetime NOT NULL,
  `date_end` datetime NOT NULL,
  `guests` tinyint(3) NOT NULL,
  `price` decimal(16,4) NOT NULL,
  `status` enum('open', 'close', 'approve', 'wait', 'decline', 'unconfirmed', 'blacklisted'),
  `comment` text NULL,
  `answer` text NULL,
  `guest_email` varchar(255) DEFAULT NULL,
  `booking_data` text DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_listing` (`id_listing`),
  KEY `id_owner` (`id_listing`, `id_owner`),
  KEY `id_user` (`id_listing`, `id_user`),
  KEY `status` (`id_listing`, `status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `[prefix]listings_booking` VALUES (NULL, 52, 1, 10, '2018-04-01 00:00:00', '2018-04-01 00:00:00', 5, '130.0000', 'book', 'Hot water?', '', NULL, NULL, '2014-04-16 08:33:26', '2014-04-16 08:33:26');
INSERT INTO `[prefix]listings_booking` VALUES (NULL, 55, 1, 2, '2017-07-11 00:00:00', '2017-07-20 00:00:00', 2, '600.0000', 'decline', 'Mother and child', '', NULL, NULL, '2014-04-16 08:35:44', '2014-04-16 08:35:44');
INSERT INTO `[prefix]listings_booking` VALUES (NULL, 54, 1, 5, '2015-12-20 00:00:00', '2015-12-23 00:00:00', 1, '120.0000', 'wait', '', '', NULL, NULL, '2014-04-16 08:37:11', '2014-04-16 08:37:11');

DROP TABLE IF EXISTS  `[prefix]listings_booking_cache`;
CREATE TABLE IF NOT EXISTS `[prefix]listings_booking_cache` (
  `hash` varchar(32) NOT NULL,
  `data` text NULL,
  `expire` int(3),
  KEY `hash` (`hash`, `expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS  `[prefix]listings_booking_blacklist`;
CREATE TABLE IF NOT EXISTS `[prefix]listings_booking_blacklist` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `id_owner` int(3) NOT NULL,
  `guest_email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_owner_guest_email` (`id_owner`, `guest_email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
