'use strict';

function membershipList(optionArr) {
	this.properties = {
		siteUrl: '/',
		activateUrl: 'admin/memberships/ajax_activate/',
		deactivateUrl: 'admin/memberships/ajax_deactivate/',
        deleteUrl: 'admin/memberships/delete/',
		btnDelete: {},
		btnActivity: {},
		parent: {},
        deleteNotification: '',
		errorObj: new Errors()
	};

	var _self = this;

	var initObjects = function () {
		_self.properties.parent = $('.data.memberships');
		_self.properties.btnDelete = $('.btn-delete', _self.properties.parent);
		_self.properties.btnActivity = $('.btn-activity', _self.properties.parent);
	};

	var activityQuery = function (id, activity) {
		var url = _self.properties.siteUrl;
		if (true === activity) {
			url += _self.properties.activateUrl;
		} else if (false === activity) {
			url += _self.properties.deactivateUrl;
		}
		return $.ajax({
			url: url,
			type: 'POST',
			dataType: 'json',
			cache: false,
			data: {id: id}
		});
	};

	var showResult = function(result) {
		if('undefined' !== typeof result.success) {
			_self.properties.errorObj.show_error_block(result.success, 'success');
		}
		if('undefined' !== typeof result.errors) {
			_self.properties.errorObj.show_error_block(result.errors, 'error');
		}
	};

	var bind = function () {
		_self.properties.btnDelete.on('click', function () {
			return deleteRequest();
        });
		_self.properties.btnActivity.on('click', function () {
			var btn = $(this);
			var id = parseInt(btn.data('id'));
			var currentActivity = btn.data('activity');
			var newActivity = currentActivity !== 'true' && currentActivity !== true;
			activityQuery(id, newActivity).done(function (result) {
				if('undefined' === typeof result.errors || result.errors.length < 1) {
					btn.data('activity', newActivity.toString());
					if (newActivity) {
						btn.find('i').removeClass('inactive');
					} else {
						btn.find('i').addClass('inactive');
					}
				}
				showResult(result);
			}).fail(function (result) {
				showResult(result);
			});
			return false;
		});
	};
    
    var deleteRequest = function(){
        return confirm(_self.properties.deleteNotification);
    };

	this.Init = function (options) {
		_self.properties = $.extend(_self.properties, options);
		$('.data tr:odd').addClass('zebra');
		initObjects();
		bind();
	};

	_self.Init(optionArr);
}
