<?php

namespace Pg\Modules\Site_map\Controllers;

/**
 * Site map module
 *
 * @package 	PG_RealEstate
 *
 * @copyright 	Copyright (c) 2000-2014 PG Real Estate - php real estate listing software
 * @author 		Pilot Group Ltd <http://www.pilotgroup.net/>
 */

/**
 * Site map user side controller
 *
 * @package 	PG_RealEstate
 * @subpackage 	Site map
 *
 * @category	controllers
 *
 * @copyright 	Copyright (c) 2000-2014 PG Real Estate - php real estate listing software
 * @author 		Pilot Group Ltd <http://www.pilotgroup.net/>
 */
class Site_map extends \Controller
{

    /**
     * Constructor
     *
     * @return Site_map
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->model("Site_map_model");
    }

    /**
     * Display site map
     *
     * @return void
     */
    public function index()
    {
        $url_blocks = $this->Site_map_model->get_sitemap_links();
        $this->view->assign("blocks", $url_blocks);

        $current_lang_id = $this->pg_language->current_lang_id;
        $settings = $this->pg_seo->get_settings('user', 'site_map', 'index');
        $title = $settings['meta_' . $current_lang_id]['header'];

        //breadcrumbs
        $this->load->model('Menu_model');
        $this->Menu_model->breadcrumbs_set_active($title);

        $this->load->library('mobile_detect');
        if ($this->mobile_detect->isMobile()) {
            $this->view->assign('is_mobile', 1);
        }

        $this->view->render('sitemap');
    }

}
